<?php
include_once('path.php');

if ($_SESSION['validUser'] === true) {
	if(!empty($_GET)) {
		$jobNameGetString 	= ($_GET["JOB_NAME"] == '0') ? '+ManualTask' : $_GET["JOB_NAME"];
		$refreshItem		= $_GET["getDir"];
		$fileNames 			= array();
		$fileTypes 			= array();
		$fileInfos 			= array();
	
		# dummy jobtype as of now, need to get proper jobType from popupScript.js
		$jobType         	= ucfirst($_GET["jobType"]);

		$checkRunningJob = 0;
		if($jobNameGetString == '+ManualTask') {
			if (strtolower($jobType) == 'backup') {
				$checkRunningJob = $_SESSION['currentBackupJob'];
			} else {
				$checkRunningJob = $_SESSION['currentRestoreJob'];
			}
		}

		if($checkRunningJob === 0) {
			if ($jobNameGetString != '+ManualTask') {
				$jobNameGetString = substr($jobNameGetString, (strlen($jobType) + 1));
			}
			
			$jobPath = Scheduler::$user_dir . "$jobType/$jobNameGetString";

			if(is_dir($jobPath)) {
				if ($jobType == Scheduler::$backup) {
					$filePath = "$jobPath/" . BACKUPSETFILEDISPLAY;
				} else if ($jobType == Scheduler::$restore) {
					$filePath = "$jobPath/" . RESTORESETFILEDISPLAY;
				}

				if(file_exists($filePath)) {
					# modified by sabin cheruvattil to support multiple users.
					$validate = validateFileList($filePath, $refreshItem, $jobPath);
					Scheduler::debug_Log($validate);
					parse_str($validate);
				}
			}
		}
	}

	$resp = array();
	if(count($fileNames) > 0) {
		$resp = array(true, $fileNames, $fileTypes, $fileInfos);
	} else {
		$resp	= array(false, 'File not found');
	}
	
	echo json_encode($resp);
} else {
	$destinationURL = "../index.php";
	header("Location:$destinationURL");
	exit();
}
?>
