<?php
include_once 'path.php';

if(!isset($_SESSION['validUser']) || $_SESSION['validUser'] !== true) {
	header("Location:../index.php");
	exit;
}

if($_SESSION['validUser'] === true) {
	$proxyUser = isset($_SESSION['proxyUserName'])?$_SESSION['proxyUserName']:"";
	$proxyPwd  = isset($_SESSION['proxyPassword'])?$_SESSION['proxyPassword']:"";
	$proxyIP   = isset($_SESSION['ipAddress'])?$_SESSION['ipAddress']:"";
	$proxyPort = isset($_SESSION['port'])?$_SESSION['port']:"";

	$userName 	= $_SESSION['userName'];
	$password 	= $_SESSION['password']; 
	$encType 	= $_SESSION['encType'];
	
	$oldMask = umask(0);
	$accountSettingPath = Scheduler::$user_dir."ACCOUNT_SETTINGS_FILE";

	$resp = array();
	umask($oldMask);

	$file = fopen($accountSettingPath, "w+");
	if(!$file) {
		restartSession(); //Restart session
		$resp[] = false;
		$resp[] = "Failed to open account setting file : $php_errormsg <br> Account Settings File could not be created successfully";
		echo json_encode($resp);
		exit();
	} else {
		$serverAddr = getEVSServerAddr();	 //Getting EVS server address
		if("" == $proxyIP) {
			$proxyData = "";
		} else {
			$proxyData = (($proxyUser != "")?urlencode($proxyUser):"").":".(($proxyPwd != "")?urlencode($proxyPwd):"")."@".($proxyIP).":".($proxyPort);
		}

		fwrite($file, "userName = $userName \npassword = $password \nencType  = $encType \nserverAddr = $serverAddr\nPROXY = $proxyData\n");
		fclose($file);
		@chmod($accountSettingPath, $permissionVal);
	}
	unset($_SESSION['password']);
	
	/* Creating Default Backup/Restore Locations - Start */
	if(!file_exists($mpc))
		update_mpc();

	if(!file_exists($drlFile))
		createRestoreLocationFile();

	/* Creating Default Backup/Restore Locations - End */

	$default = false;
	$message = ACCOUNT_SET_SUCC;
	$_SESSION['configType'] = false;
	$resp[] = true;
	$resp[] = $message;
	$resp[] = $default;

	$_SESSION['validUser'] = true;
	echo json_encode($resp);
	exit();
} else {
	$resp[] = false;
	$resp[] = false;
	echo json_encode($resp);
	exit();
}
?>