var clickedURL = null;
var actionRequired = 0;
var timeToPost 	   = 120000; //2 Minutes (1sec=1000)
var timeForWatcher = 15000; //15 Seconds
var backupLocationValue = undefined;

function updateBackupLocationValue() {
	if(backupLocationValue != undefined && backupLocationValue != "undefined") {
		$('#backupLocation').val(backupLocationValue);
		backupLocationValue = undefined;
	}
}

	jQuery(window).bind('beforeunload', function(eventObject) {
		if(clickedURL == 'preferences.php'){			
		   if(preferenceChanged>0){
			   preferenceSettings();
			   return ""; //"Do you really want to close?";
		   } 
		}  
		if(actionRequired==2){
			if(clickedURL == 'restore.php') {
				editJob('restore');	
		   	} else {
				editJob('backup');
			}
			return ""; //"Do you really want to close?";
		}
		
		/* Added by sajana for archive cleanup */
		var archiveWindow = jQuery("#archiveWindow").val();
		if(archiveWindow == "1")
		{
			if($("#Stop").is(':visible')){
				archiveAjax.abort();
				var url2="action.php?action=stopSearch&type=archive"; // calling stop archive while closing the archive popup.eventObject
				$.post(url2,function(data){});
			} else if($("#delete").is(':visible')){
				var url2="action.php?action=stopSearch&type=removeArchivePid"; // calling stop archive to remove PID
				$.post(url2,function(data){});
				$("#archiveWindow").val("0");								
				$.popContainerHide();
				showErrorMessages('.head_search .error_msg','Archive cleanup operation has been cancelled');
			} else if($('#Deleting').is(':visible')){ /* calling stop delete while closing delete popup .*/
				var url2="action.php?action=deleteCancel"; 
				$.post(url2,function(data){});
			}
			postPeriodicCleanup();
			return "";
		}
	});

/* Custom script for AJAX */
jQuery('.leftnav a, .sliding a').live('click', function (event) {
   if(jQuery(this).html()=='Help'){
		return true;
   }
  var url = jQuery(this).attr('href');
   
	if(url =="logout.php")
		return true;
		
	event.preventDefault();
    clearInterval(logsTimeoutVar);
    clearTimeout(preferenceTimeoutVar);
    clearTimeout(backupTimeoutVar);
    clearTimeout(restoreTimeoutVar);
    clearTimeout(msgTimeoutVar);
    clearTimeout(scheduleWatcherTimeoutVar);
   
    if(url == '#'){
		return false;
    } else if(clickedURL == 'preferences.php') {
		var checkIP = checkIPformat();
        if(checkIP===false){ return false; }
	    if(preferenceChanged>0){ preferenceSettings(); 	} 
    }
	
    //Checking whether Job needs to be to Edit or not
    if(actionRequired==2){
		if(clickedURL == 'restore.php') {
			editJob('restore');	
		} else {
			editJob('backup');
		}
    }

   clickedURL = url; 

   IDrive.UserName = jQuery('#registered_user').html();

    if(IDrive.UserName !='' || (url == 'preferences.php' && machine!='twotier') || url == 'account.php'){
	   jQuery('.head_search .common_msg').hide();
 	   jQuery('.alert p').html('Loading........Please wait');
	   jQuery('.ajax_loader').hide();
	   jQuery('.alert,#page_loader').show();
	   
	   /* Add/Remove active left navigation */
	   var clicked = jQuery(this).attr('class');
	   if(clicked=='leftnavbutton'){
		jQuery('a').removeClass('act');
		jQuery(this).addClass('act');
	   } else if(clicked=='topnavbutton'){
		jQuery('a').removeClass('act');
	   }
        
      //Removing appended drop-down
	   if(jQuery('#dropdown').length!==0){
			jQuery('#dropdown').remove();
	   }
	   clearTimeout(backupTimeoutVar);
	   clearTimeout(restoreTimeoutVar);

	   /* Loading the corresponding page content*/
	   var url = jQuery(this).attr('href');
	   var pageTitle = jQuery(this).attr('alt');
	   var navName = jQuery(this).html();
	    
	   abortAjax(currentAjaxRequest);
	   jQuery('#dropdown:last').remove(); //Removing right menu
	   jQuery('#content').load(url,function(){
	    if(jQuery('#content title').text()!=''){
			window.location.href='../index.php';
		}
	    jQuery('.page_title h4').html(pageTitle);
		jQuery('.alert,#page_loader').hide();
		
		    /* Adding CSS attribute */
		    if(navName=='Backup' || navName=='Restore'){
				jQuery('#content').css('margin-top','125px');
				jQuery('.leftnav,.body_wrap').removeAttr("style");
				
		    } else {
				jQuery('#content').css('margin-top','167px');
				jQuery('.leftnav').css('top','147px');
				jQuery('.body_wrap').css('margin-top','-20px');
		    }
	   });

   } else {
	   /*jQuery('.error_msg p').html('Please enter your account details to continue');
	   jQuery('.error_msg').slideDown(200, function() {		
		setTimeout("jQuery('.error_msg').hide();",5000 );
	   });*/
	   showErrorMessages('.head_search .error_msg','Please enter your account details to continue');
   }
});

/* Calculate Storage Usage - Start*/
function storageCalculate(){
	jQuery('.storage_calculate').hide();
	jQuery('#rcalcprg').show();
	var url = "accountUsage.php";	
	jQuery('.storage_used').load(url,function(){
		if(!jQuery('.storage_used ul li').hasClass('storage_box'))
		{
			window.location.href='../index.php';
		}
	});
}
jQuery('.storage_calculate').live('click', function () {   
	storageCalculate(); //Calling function    
});

function preferenceSettings(){	
	if(preferenceChanged>0 && clickedURL=='preferences.php'){
		var actualPassword = jQuery(".proxy_set3 input[name='password']").val();
		if(actualPassword!=''){
			jQuery(".proxy_set3 input[name='password']").val(base64_encode(actualPassword));		
		}
		var data = $(".preference_page form").serialize();
		if(actualPassword!=''){
			jQuery(".proxy_set3 input[name='password']").val(actualPassword);
		}
		 preferenceChanged=0;
		if(showHiddenClicked == true){
			jQuery("#page_loader").show();
		}
		 //AJAX call to 
		 $.ajax({
			url: "addPreferences.php",
			type: "POST",
			data: data,
			success: function(validatedData){
          if(validatedData.indexOf('<html>')>0){
					window.location.href='../index.php';
				}
				if(showHiddenClicked == true){
					showErrorMessages('.welcome_message','Settings have been saved');
					jQuery("#page_loader").hide();
					showHiddenClicked = false;					
				}				
			}
		 });
	   }
}

//Edit Job while navigating/Changing Job
function editJob(type){ 
	if(type=='backup'){
		var currentForm = jQuery("form#startBackupForm");
		var fieldsCount = jQuery("form#startBackupForm input[type='checkbox']").attr('checked',true).length;
		var values      = jQuery("form#startBackupForm").serialize();
	} 
	else {
		$(".excludefiles.restore_cnt table.restore_cnt").find('*').prop('disabled',false);
                $(".excludefiles.version_restore_cnt table.version_restore_cnt").find('*').prop('disabled',true);
		var currentForm = jQuery("form#startRestoreForm");
		var fieldsCount = jQuery("form#startRestoreForm input[type='checkbox']").attr('checked',true).length;
		var values      = jQuery("form#startRestoreForm").serialize();
		$(".excludefiles.restore_cnt table.restore_cnt").find('*').prop('disabled',true);
                $(".excludefiles.version_restore_cnt table.version_restore_cnt").find('*').prop('disabled',false);
	}
	
	$.ajax({
		url: "editJob.php",
		type: "POST",
		data: values,
		success: function(validatedData){
			if(validatedData.indexOf('<html>')>0){
				window.location.href='../index.php';
			}
			if(removeBackupAndRestoreList == true){
				ajaxCallForRefresh(type,'/');
				removeBackupAndRestoreList=false;
			}

			if(validatedData==''){
				return true;
			}
			validatedRes=$.parseJSON(validatedData);
			if(validatedRes['dir']!==null && validatedRes['dir']!=''){
				jobListArray[validatedRes['dir']] = validatedRes['files'];
				jobListTypeArray[validatedRes['dir']] = validatedRes['type'];
				if(validatedRes['dir']!='0'){
					IDrive.Jobs[validatedRes['dir']].selected_files = validatedRes['files'];	
				}
			}
		}
	});    	 
	actionRequired=1;
}

//Function to clear Log
jQuery('.logsDeleteJob').live('click', function() {
	var id = jQuery(this).closest('tr').attr("id");
	jQuery('#clearLogObject').val(id);
	$.popContainer();
	jQuery(secPosCont).append(jQuery('.logs_clear_popup').show());
});
jQuery('#clearLogButton').die('click').live('click', function() {
	clearLog();
});
function clearLog(){
	var id  = jQuery('#clearLogObject').val();
	var url = jQuery('tr[id="'+id+'"]').find('a').attr('href');
	
	jQuery('.head_search .alert p').html('Deleting log........Please wait').parent().show();
	jQuery('html,body').scrollTop(0);
	
	url = url.replace('viewLog','clearLog');
      clearInterval(IDrive.Scheduler.LogPollID);
	$.popContainerHide(); // Close popup box
	$.ajax({
		url: url,
		type: "GET",
		success: function(validatedData){
        if(validatedData.indexOf('<html>')>0){
				window.location.href='../index.php';
			}
			IDrive.Scheduler.LoadLogs();
			checkSelectedLogs();
			jQuery('.head_search .alert').hide();
			var clearDataRes=$.parseJSON(validatedData);
			if(clearDataRes[0]==true){
				showErrorMessages('.head_search .welcome_message','Log deleted successfully');
			} else {
				showErrorMessages('.head_search .error_msg','Job is in progress. Please try again later');
			}
			IDrive.Scheduler.LogPollID = setInterval(IDrive.Scheduler.WatchLogs, timeForWatcher);
		}
	});
}

//Delete all logs
jQuery('.menu_delete_all').live('click', function() {
	$.popContainer();
	jQuery(secPosCont).append(jQuery('.logs_clearall_popup').show());
});
jQuery('#clearAllLogButton').die('click').live('click', function() {
	clearAllLog();
});
function clearAllLog(){
	jQuery('.logs-icon-row').hide();
	jQuery('.head_search .alert p').html('Deleting log........Please wait').parent().show();
	jQuery('html,body').scrollTop(0);
	logFileList	= [];
	
	url = 'clearLog.php';
	data  = jQuery('form#jobLogsList').serialize();
	$.popContainerHide(); // Close popup box
	$.ajax({
		url: url,
		type: "POST",
		data: data,
		success: function(validatedData){				
			if(validatedData.indexOf('<html>')>0){
				window.location.href='../index.php';
			}
			IDrive.Scheduler.LoadLogs();
			checkSelectedLogs();
			jQuery('.head_search .alert').hide();
			var clearDataRes=$.parseJSON(validatedData);
			if(clearDataRes[0]==true){
				showErrorMessages('.head_search .welcome_message','Logs deleted successfully');
				jQuery('.delete_all_disabled').hide();
			} else {
				if(clearDataRes[1].length>1){
					showErrorMessages('.head_search .error_msg','Jobs are in progress. Please try again later');
				} else {
					showErrorMessages('.head_search .error_msg','Job is in progress. Please try again later');
				}
			}
		}
	});
}
jQuery(document).on('click','.logs-section td.file_check', function(){
	checkSelectedLogs();
})
//Function to enable/disable checkbox
function checkSelectedLogs(){	
	var countChecked = jQuery('#jobLogsList input[type="checkbox"]:checked').length;
	var countCheckBox = jQuery('#jobLogsList input[type="checkbox"]').length;
	if(countChecked>0){
		jQuery('.logs-icon-row').show();
		jQuery('.delete_all_disabled').hide();
	} else {
		jQuery('.logs-icon-row').hide();
		jQuery('#log_list .header_part').find('label').removeAttr('class');
		if(countCheckBox>0){
			jQuery('.delete_all_disabled').show();
		}
	}	
}
//Function to check Logs list
function checkRemainingLogRows(){
	var rowLength = jQuery('#logRows tr').length;
	if(rowLength==0){
		jQuery('#logRows').siblings('.nfiles').show();
	}
}

//Function to check the IP address format
function checkIPformat(){
	var proxyOption = jQuery('input[name="proxy_option"]:checked').val();
	if(proxyOption =='Manual' || proxyOption=='autodetect'){
        var inputField = jQuery('input[name="ipAddress"]');
		var val = inputField.val();	
	
		var pattern  = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
		var testIP = val.match(pattern);	

		if(testIP){
		    return true;
		} else {
			showErrorMessages('.head_search .error_msg','Invalid IP address format');
		    inputField.trigger('focus').focus();	
		    document.getElementById('ipAddress').focus();
		    return false;
		}
	} else {
	    return true; 
	}
}

//Function to POST automatically if no activity
function startTimeoutForAutoPost(page){
	if(page=='preferences'){		
		preferenceChanged=1;
		clearTimeout(preferenceTimeoutVar);
		preferenceTimeoutVar = setTimeout("preferenceSettings()",timeToPost); // 2 Minutes (1sec=1000)		
	} else if(page=='backup'){
		clearTimeout(backupTimeoutVar);
		backupTimeoutVar = setTimeout("editJob('backup')",timeToPost); // 2 Minutes
	} else if(page=='restore'){
		clearTimeout(restoreTimeoutVar);
		restoreTimeoutVar = setTimeout("editJob('restore')",timeToPost); // 2 Minutes
	} else if(page=='periodic'){
		clearTimeout(periodicTimeoutVar);
		periodicTimeoutVar = setTimeout("postPeriodicCleanup()",timeToPost); // 2 Minutes
	}
}

//Function to load added Job Files/Folders
function loadExistingJob(val,type, getDir, versionInfo){
	getDir = getDir || '/';
	var isVersionRestore = false;
	$(".archive_menu").hide();
	if(val != "0" && val != "" && backupModeSet == 'mirror')
		$(".archive_menu").show();
	if(!(type=='backup' && jQuery(".ajax_loader").is(':visible'))){
		jQuery('#noBackupsetFiles').siblings('.ajax_loader').show();
	} 

	if (versionInfo && versionInfo.version) {
		isVersionRestore = true;
		$('.restore_cnt').hide();
		$('.version_restore_cnt').show();
		$(".excludefiles.restore_cnt table.restore_cnt").find('*').prop('disabled',true);
		$(".excludefiles.version_restore_cnt table.version_restore_cnt").find('*').prop('disabled',false);
		var displayPath = $('.main_chk_table1.version_restore_cnt');
		displayPath.find('span#folderDetailsName')
		.text(versionInfo['file'].substring(versionInfo['file'].lastIndexOf("/") + 1));
		displayPath.find('span#folderDetailsName')
		.attr('alt', versionInfo['file'].substring(versionInfo['file'].lastIndexOf("/") + 1))
		.attr('title', versionInfo['file'].substring(versionInfo['file'].lastIndexOf("/") + 1));
		displayPath.find('span#folderDetailsPath')
		.text('Home' + (versionInfo['file'].slice(0, versionInfo['file'].lastIndexOf('/'))));
		displayPath.find('span#folderDetailsPath')
		.attr('alt', 'Home' + (versionInfo['file'].slice(0, versionInfo['file'].lastIndexOf('/'))))
		.attr('title', 'Home' + (versionInfo['file'].slice(0, versionInfo['file'].lastIndexOf('/'))));

		var showVersionSelected = $('.excludefiles.version_restore_cnt table.version_restore_cnt');
		showVersionSelected.find('span#versioncountno').text(versionInfo['version']);
		showVersionSelected.find('span#versionfilesize').text(versionInfo['size']);
		showVersionSelected.find('span#versiondatemodified').text(versionInfo['modifiedon']);
		jQuery('#noBackupsetFiles').siblings('.ajax_loader').hide();
	}
	
		backupSetArray      = [];

		restoreSetArray      = [];
		
		localBackupSetArray      = [];
		checkLocalBackupSetArray = [];	
		
	//Checking whether Job needs to be to Edit or not
	if(actionRequired ==0){ 
		actionRequired =1; 
	} else if(actionRequired ==2){
		editJob(type);
	}
	
	var jobName = val==''?0:val;
	jQuery('#oldJobName').val(jobName);
	
	var html='';
	
	var dirListVal = jobListArray[jobName];
	var dirTypeVal = jobListTypeArray[jobName];
	var dirInfo    = jobListfileInfoArray[jobName];
	
	if(refreshFolder==true){
		refreshFolder = false;
		var current_directory = jQuery('#fullPathBreadCrumb a:last').attr('alt');
		if(type=='backup' || type=='localBackup'){
			loadLocalFiles(current_directory,'loadFullPath','fullPathBreadCrumb','backupFilePath');
		} else {
			loadRestoreRemoteFiles(current_directory,'loadRestorePath','fullPathBreadCrumb','restoreFilePath');
		}	
	} else if((jQuery('#fullPathBreadCrumb a').length>1 || val=='' || machine=='twotier')&& checkingSelectedItems==false){
		if(type=='backup' || type=='localBackup'){
			loadLocalFiles('/','loadFullPath','fullPathBreadCrumb','backupFilePath');
		} else {
			loadRestoreRemoteFiles('/','loadRestorePath','fullPathBreadCrumb','restoreFilePath');
		}
	}
	if(val=='0' || val==''){
		if(type=='backup'){			
			var dirListVal = defaultBackupSetArray;
			var dirTypeVal = defaultBackupSetTypeArray;
			dirInfo    = defaultBackupSetFileInfo;
		} else if(type=='localBackup') {
			var dirListVal = defaultLocalBackupSetArray;
			var dirTypeVal = defaultLocalBackupSetTypeArray;				
			dirInfo    = defaultBackupSetFileInfo;
		} else {
			var dirListVal = defaultRestoreSetArray;
			var dirTypeVal = defaultRestoreSetTypeArray;			
		}
    }
	if(dirListVal === "" || typeof dirListVal == "undefined" || dirListVal.length==0){
		if(jobName==''){
			jQuery('#noBackupsetFiles').siblings('.ajax_loader').hide(); 
			return false;
		}
		var itemType = new Array();
		$.ajax({
			url: "displayBackupsetFileContent.php?JOB_NAME="+encodeURIComponent(jobName)+"&jobType="+type+"&getDir="+getDir,		
			success: function(dataList){
				if(dataList.indexOf('<html>')>0){
					window.location.href='../index.php';
				}
				 dataListRes=$.parseJSON(dataList);
				 
				if (dataListRes[0] === true) {
				    var listArray = dataListRes[1];
					var typeArray = dataListRes[2];				
					var fileInfo  = dataListRes[3];
					var cnt       = 0;

				    var data = listArray.filter(function(selected) {
				
					toParse = selected.replace('/','');
					var parsedID = toParse.replace(/[\/]/g,'_');
					parsedID = base64_encode(parsedID,1);
					parsedID = parsedID.replace(/[=]/gi, '');
					
					itemType = typeArray[cnt];
					var cssSpanClassName = '';
					var cssClassName = '';
					var fileMissingEle = '';
					var itemInfo = fileInfo[cnt];
					var itemIndex = $.inArray(selected, defaultBackupSetFileInfo);
					if (type == 'backup') {
						if ((itemInfo == '0') || ((itemInfo == '2') &&
							(itemIndex > -1))) {
							cssSpanClassName = 'class="file_missing_filename"';
							cssClassName = 'class="file_missing"';
							fileMissingEle = '<span class="file_missing_text">';
							fileMissingEle += (itemType + ' is missing');
							fileMissingEle += '</span>';
						}
						else if ((itemInfo == '1') &&
							(itemIndex > -1)) {
							defaultBackupSetFileInfo.splice(itemIndex, 1);
						}
					}
					cnt++;
					
					var pos=-1;
					if(type=='backup' && sh=="Hide" && (pos=selected.indexOf("/."))>=0){
						var tr_style='style="display: none;"';
					}
					else{
						var tr_style='';
					}					
					
					var displaySelected = selected;
					if(machine=='twotier' && type=='backup'){
						displaySelected = selected.substring(sharedFolderPathLength); 
					}
					
					html += '<tr '+tr_style+' id="'+parsedID+'" ' + cssClassName + '>\
						 <td class="file_check"><input type="checkbox" name="chk_group[]" value="'+htmlEntities(selected)+'" ><input type="hidden" value="'+itemType+'" name="itemType[]"><label>files</label></td>\
						 <td width="68%" class="cont_heading" title="'+htmlEntities(displaySelected)+'"><img src="include/images/idq_ico_'+itemType+'.png"><span ' + cssSpanClassName + ((fileMissingEle != '')? "style=\"max-width: 560px;\"" : '')  + ' >'+htmlEntities(displaySelected).replace(/[\s]/g,'&nbsp;')+'</span> ' + fileMissingEle + '</td><td width="5%"></td></tr>';

					var selected_dir = selected+"/";
					if(type=='backup'){
						backupSetArray.push(selected);
							if (itemInfo == '0' &&
							(itemIndex == -1)) {
								defaultBackupSetFileInfo.push(selected);
							}								
						if(jobName==0){
							defaultBackupSetArray.push(selected);
							defaultBackupSetTypeArray.push(itemType);
						}
					} else if(type=='localBackup') {
							//Local Backup Set
							localBackupSetArray.push(selected);
							checkLocalBackupSetArray.push(selected_dir);
							if(jobName==0){	
								defaultLocalBackupSetArray.push(selected);
								defaultLocalBackupSetTypeArray.push(itemType);													
							}
							getItemSize(selected,'add'); //Calculate & display size of Backup Set
					} else if(type=='restore'){
						restoreSetArray.push(selected);
						if(jobName==0){
							defaultRestoreSetArray.push(selected);
							defaultRestoreSetTypeArray.push(itemType);
						}						
					}
					
					if(typeof(IDrive.Jobs[jobName]) != "undefined") {
						if(IDrive.Jobs[jobName].selected_files) {
							IDrive.Jobs[jobName].selected_files.push(selected);
						}else {
							IDrive.Jobs[jobName].selected_files = [];
							IDrive.Jobs[jobName].selected_files.push(selected);
						}
					}
				  });
				}
				displayListHTML(type,html, isVersionRestore);
				jobListArray[jobName] = listArray;
				jobListTypeArray[jobName] = typeArray;
				jobListfileInfoArray[jobName] = defaultBackupSetFileInfo;
				jQuery('#noBackupsetFiles').siblings('.ajax_loader').hide();
			}
		});	  

    } else {
		var listArray = dirListVal;		
		
		if(typeof listArray!='undefined' && listArray.length>0){
			var cnt=0;
			var data = listArray.filter(function(selected){
		
			toParse = selected.replace('/','');
			var parsedID = toParse.replace(/[\/]/g,'_');
			parsedID = base64_encode(parsedID,1);
			parsedID = parsedID.replace(/[=]/gi, '');
				
			/* Hidden file checking...Start*/
			var pos=-1;
			if(type=='backup' && sh=="Hide" && (pos=selected.indexOf("/."))>=0){
				var tr_style='style="display: none;"';
			}
			else{
				var tr_style='';
			}

			var cssSpanClassName = '';
			var cssClassName = '';
			var fileMissingEle = '';
			
			if (type=='backup' && dirInfo.indexOf(selected) != -1) {
				cssSpanClassName = 'class="file_missing_filename"';
				cssClassName = 'class="file_missing"';
				fileMissingEle = '<span class="file_missing_text">';
				fileMissingEle += (dirTypeVal[cnt] + ' is missing');
				fileMissingEle += '</span>';
			}
			
			var displaySelected = selected;
			if(machine=='twotier' && type=='backup'){
				displaySelected = selected.substring(sharedFolderPathLength); 
			}
					
			/* Hidden file checking...End*/
			
			html += '<tr '+tr_style+' id="'+parsedID+'" ' + cssClassName + '>\
				 <td class="file_check"><input type="checkbox" name="chk_group[]" value="'+htmlEntities(selected)+'" ><input type="hidden" value="'+dirTypeVal[cnt]+'" name="itemType[]"><label>files</label></td>\
				 <td width="68%" class="cont_heading" title="'+htmlEntities(displaySelected)+'"><img src="include/images/idq_ico_'+dirTypeVal[cnt]+'.png"><span ' + cssSpanClassName + ((fileMissingEle != '')? "style=\"max-width: 560px;\"" : '') + ' >'+htmlEntities(displaySelected).replace(/[\s]/g,'&nbsp;')+'</span> ' + fileMissingEle + '\
			 </td><td width="5%"></td></tr>';
			 
			cnt++;
			if(type=='backup'){
				backupSetArray.push(selected);
			} else if(type=='restore'){
				//Restore Set
				restoreSetArray.push(selected);
			}
			});
		
		} 
		jQuery('#noBackupsetFiles').siblings('.ajax_loader').hide();
		displayListHTML(type,html, isVersionRestore);		
	}	
}

function showErrorMessages(divId,msg){
	jQuery(divId).find('p').html(msg);
	jQuery(divId).slideDown(200,function(){
		msgTimeoutVar=setTimeout(function(){ jQuery(divId).slideUp(200); },5000);
	});
	jQuery('html,body').scrollTop(0);	
}

function encodeFilePath(str){
	toParse = str.replace('/','');
	var parsedID = toParse.replace(/[\/]/g,'_');
	parsedID = base64_encode(parsedID,1);
	parsedID = parsedID.replace(/[=]/gi, '');
	return parsedID;
}
function clearArrayValues(){
	dynamicRemoteArray = [];
	dynamicRemoteType  = [];
	dynamicRemoteSize  = [];
	dynamicRemoteDate  = [];
	dynamicRemoteRequestInfo = [];

	dynamicArray = new Array();
	dynamicType  = new Array();
	dynamicRequestInfo = new Array();
	backupModeSet = null;
	selectedRestoreListPath = '';
	
	//Folders List For Backup/Restore Location
	dynamicLocalDirList = [];
	dynamicRemoteDirList = [];

	clickedDirPath  = '/';
	clickedNewDirPath  = [];

	/* Job List Array Variables */
	jobListArray = [];
	jobListTypeArray = [];
	jobListfileInfoArray = [];
	currentBackupJob='Backup_Default Backup Set';
	currentRestoreJob='';
	currentBackupLocation='';
	currentRestoreLocation='';
	currentLocalBackupJob='';

	/* Backup Page Array Variables */
	backupSetArray = [];
	defaultBackupSetArray = [];
	defaultBackupSetTypeArray = [];
	defaultBackupSetFileInfo = [];
	manualBackupRunning=false;

	newBackupSetArray = [];
	newCheckBackupSetArray = [];

	backupListCount=0;
	backupCheckedCount=0;
	
	/* Local backup page Array Variables */
	localBackupSetArray = [];
	checkLocalBackupSetArray = [];
	defaultLocalBackupSetArray = [];
	defaultLocalBackupSetTypeArray = [];
	manualLocalBackupRunning=false;
	
	/* Restore Page Array Variables */
	restoreSetArray = [];
	checkRestoreSetArray = [];
	defaultRestoreSetArray = [];
	defaultRestoreSetTypeArray = [];
	manualRestoreRunning=false;
	
	newRestoreSetArray = [];
	newcheckRestoreSetArray = [];
	
	restoreListCount=0;
	restoreCheckedCount=0;

	startImmediateRunning=false;
	jobCancelling=false;

	/* Preferences Page Full Exclude Array Variables */
	excludedFullPathArray      = [];
	excludedFullPathTypeArray  = [];
	
	//Temp Arrays
  	tempExcludedFullPathArray      = [];
  	tempCheckExcludedFullPathArray = [];
	tempExcludedFullPathTypeArray  = [];
	
	//Multiple share items Array
  	shareItemArray      = [];
	checkShareItemArray = [];
  	sharePathArray      = [];
	shareTypeArray      = [];

	//Timeout Variables for Manual Backup/Restore Task status
	backupTimeoutVar = '';
	restoreTimeoutVar = '';
	logsTimeoutVar='';
	preferenceTimeoutVar='';
	preferenceChanged =0;
    msgTimeoutVar='';
	periodicTimeoutVar='';
	scheduleWatcherTimeoutVar='';
	renameAjaxStatus   = 0;
	currentAjaxRequest = '';
	
	searchAjaxRequest1 = '';
	searchAjaxRequest2 = '';
	searchStarted = false;
	loadSearchTimout='';
	cancelledSearch=false;
	searchKeyword;
	loadPage;
  	searchItemArray     = [];
    searchItemTempArray = [];
	searchItemTypeArray = [];	

    showHiddenClicked = false;
	sh='';
	checkingSelectedItems=false;
	timeForArchiveWatcher = 200;
	test = 0;
	archiveAjax ='';
	archiveAjaxStatus='';
	archiveTimeoutVar='';
	checkArchiveRunningAjax=false;
	removeScheduler=false;
	removeBackupAndRestoreList=false;
	refreshFolder = false;
}


function base64_encode(data,urlSafe) {
	if(urlSafe)
		var b64 = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_:';
	else
		var b64 = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=';
  var o1, o2, o3, h1, h2, h3, h4, bits, i = 0,
    ac = 0,
    enc = '',
    tmp_arr = [];

  if (!data) {
    return data;
  }

  do { // pack three octets into four hexets
    o1 = data.charCodeAt(i++);
    o2 = data.charCodeAt(i++);
    o3 = data.charCodeAt(i++);

    bits = o1 << 16 | o2 << 8 | o3;

    h1 = bits >> 18 & 0x3f;
    h2 = bits >> 12 & 0x3f;
    h3 = bits >> 6 & 0x3f;
    h4 = bits & 0x3f;

    // use hexets to index into b64, and append result to encoded string
    tmp_arr[ac++] = b64.charAt(h1) + b64.charAt(h2) + b64.charAt(h3) + b64.charAt(h4);
  } while (i < data.length);

  enc = tmp_arr.join('');

  var r = data.length % 3;

  return (r ? enc.slice(0, r - 3) : enc) + '==='.slice(r || 3);
}

function base64_decode(data,urlSafe) {
	
 if(urlSafe)
		var b64 = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_:';
	else
		var b64 = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=';
  var o1, o2, o3, h1, h2, h3, h4, bits, i = 0,
    ac = 0,
    dec = '',
    tmp_arr = [];

  if (!data) {
    return data;
  }

  data += '';

  do {
    // unpack four hexets into three octets using index points in b64
    h1 = b64.indexOf(data.charAt(i++));
    h2 = b64.indexOf(data.charAt(i++));
    h3 = b64.indexOf(data.charAt(i++));
    h4 = b64.indexOf(data.charAt(i++));

    bits = h1 << 18 | h2 << 12 | h3 << 6 | h4;

    o1 = bits >> 16 & 0xff;
    o2 = bits >> 8 & 0xff;
    o3 = bits & 0xff;

    if (h3 == 64) {
      tmp_arr[ac++] = String.fromCharCode(o1);
    } else if (h4 == 64) {
      tmp_arr[ac++] = String.fromCharCode(o1, o2);
    } else {
      tmp_arr[ac++] = String.fromCharCode(o1, o2, o3);
    }
  } while (i < data.length);

  dec = tmp_arr.join('');

  return decodeURIComponent(escape(dec.replace(/\0+$/, '')));
}

function urlencode(str) {
  str = (str + '').toString();
  return encodeURIComponent(str)
    .replace(/!/g, '%21')
    .replace(/'/g, '%27')
    .replace(/\(/g, '%28')
    .
  replace(/\)/g, '%29')
    .replace(/\*/g, '%2A')
    .replace(/%20/g, '+');
}

function urldecode(str) {
  return decodeURIComponent((str + '')
    .replace(/%(?![\da-f]{2})/gi, function() {
      // PHP tolerates poorly formed escape sequences
      return '%25';
    })
    .replace(/\+/g, '%20'));
}

//Validate Job Name
jQuery('input#newJobName').die('keypress').live('keypress',function(event){

	var keyCode = event.charCode;
    if (keyCode == undefined)
        keyCode = event.keyCode;

    if (!((keyCode >= 65 && keyCode <= 90) || (keyCode >= 97 && keyCode <= 122) || (keyCode >= 48 && keyCode <= 57) || (keyCode == 32) || (keyCode == 45) || (keyCode == 46) || (keyCode == 95) || (keyCode == 0)))
	{	
		event.preventDefault();
		showErrorMessages('#popupError1','You can use letters, numbers, space and characters(.-_)');
	}    	
});

//Validate Job Name
function validateJobname(){
	var jobName = jQuery('input#newJobName').val();
	var validateRegex = /^[a-zA-Z0-9\-\_\.]+$/;

	if(!validateRegex.test(jobName))
	{
		e.preventDefault();
		showErrorMessages('#popupError1','You can use letters, numbers, space and characters(.-_)');
	}
}


/* Function  for Responsive BreadCrumb - Start */
	function responsiveBreadcrumb(breadCrumbID,breadCrumbAnchClass){
		var lastElementAttr = jQuery(breadCrumbID+' a:last').attr('alt');
		var width = textWidth(lastElementAttr)+10;
		var remainingElement = lastElementAttr;
		var lastElement = jQuery(breadCrumbID+' a:last').html();
		
		var elementArray = lastElementAttr.split('/');
		var elementArrayCount = elementArray.length;
		for(var i=0;i<elementArrayCount;i++){
			var lastElementCharCount = elementArray[i].length;
			if(lastElementCharCount>5){ 
				width += ((lastElementCharCount-5)*5);
			}
		}
		
		var innerWidth = jQuery(breadCrumbID).innerWidth();

		var childCount = jQuery(breadCrumbID+' a').length;
		if(innerWidth<=(width+(childCount*10))){
			var newBreadcrumb = '<a class="'+breadCrumbAnchClass+'" title="/" alt="/" href="javascript:void(0);">/</a> ';
			var newBreadcrumb1 ='';
			var newBreadcrumb2 ='';
			
			for(var i=1; i<childCount; i++){
				var breadcrumbObj = jQuery(breadCrumbID).children().eq(i);
				var dirName = breadcrumbObj.html();
				var dirPath = breadcrumbObj.attr('alt');
				dirPath = htmlEntities(dirPath);
				
				var currTextWidth = textWidth(remainingElement);
				currTextWidth = currTextWidth<50?50:currTextWidth;
				currTextWidth = currTextWidth + (i*50)+(childCount*10);
				
				if(childCount*50 < innerWidth){
					if(innerWidth>currTextWidth || i==(childCount-1)){
						newBreadcrumb += '<a class="'+breadCrumbAnchClass+'" title="'+dirPath+'" alt="'+dirPath+'" href="javascript:void(0);">'+dirName+'</a> ';
						remainingElement = remainingElement.substring(dirName.length+1);
					} else {
						newBreadcrumb += '<a class="'+breadCrumbAnchClass+'" title="'+dirPath+'" alt="'+dirPath+'" href="javascript:void(0);">'+dirName.charAt(0)+'</a> ';
						remainingElement = remainingElement.substring(dirName.length+1);
					}
				} else {
					if(i==(childCount-1)){
						newBreadcrumbLast = '<a class="'+breadCrumbAnchClass+'" title="'+dirPath+'" alt="'+dirPath+'" href="javascript:void(0);">'+dirName+'</a> ';
					} else {
						firstNodeCount = (childCount/2)<3?3:4;
						if(i<=firstNodeCount){
							newBreadcrumb1 += '<a class="'+breadCrumbAnchClass+'" title="'+dirPath+'" alt="'+dirPath+'" href="javascript:void(0);">'+dirName.charAt(0)+'</a> ';
						} 
						else if(i>=(childCount-3)){
							newBreadcrumb2 += '<a class="'+breadCrumbAnchClass+'" title="'+dirPath+'" alt="'+dirPath+'" href="javascript:void(0);">'+dirName.charAt(0)+'</a> ';							
						}
						else {
							var newBreadcrumbDot = '<a class="'+breadCrumbAnchClass+'" title="'+dirPath+'" alt="'+dirPath+'" href="javascript:void(0);">..</a> ';
						}
					}
				}
			}
			if(newBreadcrumb1!=''){
				newBreadcrumb = newBreadcrumb+newBreadcrumb1+newBreadcrumbDot+newBreadcrumb2+newBreadcrumbLast;
			} 
		} else {
				newBreadcrumb = jQuery(breadCrumbID).html();
		}
		jQuery(breadCrumbID).html(newBreadcrumb);
		hideBreadCrumbElement(); //Calling the function to hide element of breadcrumb based on machine
	}

	function textWidth(text){		
		if(text!=''){
			var text = text.replace(/[`~!@#$%^&*()_|+\-=?;:'",.<>\s\{\}\[\]\\\/]/gi, 'A');
			var org = $(this);
			var textHTML = '<span style="postion:absolute;width:auto;left:-9999px">' + (text || org.html()) + '</span>';
			var html = $(textHTML);
			if (!text) {
				html.css("font-family", org.css("font-family"));
				html.css("font-size", org.css("font-size"));
			}
			
			$('body').append(html);		
			var width1 = html.width();
			html.remove();
			return width1;
		} else {
			return 0;}
			
		}

/* Function to hide the elements for shared folders list  - Start */
	function hideBreadCrumbElement(){
		if(machine=='netgear' || machine=='synology' || machine=='twotier'){
			jQuery('.backup_page #fullPathBreadCrumb a,#restoreLocationBreadCrumb a,.preferences #fullPathBreadCrumb a').eq(1).hide();
			jQuery('.backup_page div#bkpBreadCrumb a').eq(1).hide();		
		}
		
		else if(machine==ASUSTOR){
			if(jQuery('.backup_page #fullPathBreadCrumb a,#restoreLocationBreadCrumb a,.preferences #fullPathBreadCrumb a,.backup_page div#bkpBreadCrumb a').slice(2,3).html() == 'home'){
				jQuery('.backup_page #fullPathBreadCrumb a,#restoreLocationBreadCrumb a,.preferences #fullPathBreadCrumb a,.backup_page div#bkpBreadCrumb a').slice(2,3).hide();		
				jQuery('.backup_page #fullPathBreadCrumb a,#restoreLocationBreadCrumb a,.preferences #fullPathBreadCrumb a,.backup_page div#bkpBreadCrumb a').slice(3,4).text("Home");	
			}
			if(jQuery('.backup_page div#bkpBreadCrumb a').slice(2,3).html() == 'home'){
				jQuery('.backup_page div#bkpBreadCrumb a').slice(1,3).hide();		
				jQuery('.backup_page div#bkpBreadCrumb a').slice(3,4).text("Home");	
			}
			jQuery('.backup_page #fullPathBreadCrumb a,#restoreLocationBreadCrumb a,.preferences #fullPathBreadCrumb a').eq(1).hide();
		} else {			
			jQuery('.backup_page #fullPathBreadCrumb a,#restoreLocationBreadCrumb a,.preferences #fullPathBreadCrumb a').slice(1,3).hide();
			jQuery('.backup_page div#bkpBreadCrumb a').slice(1,3).hide();		
		}
	}
	/* Function to hide the elements for shared folders list - End */	
/* Function  for Responsive BreadCrumb - End */

/* Function  to Abort AJAX - Start */
function abortAjax(xhr) {
	if(xhr && xhr.readystate != 4){
		xhr.abort();
	}
}
/* Function  to Abort AJAX - End */
/* Function  to close notification */
$('.notify-close').on('click',function(){$('.display-notify').hide();});

	function htmlEntities(str)
	{ 
		var ret = String(str).replace(/&amp;/g, '&').replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/"/g, '&quot;').replace(/'/g, '&#039;');
		return ret;
	}
	
	function htmlentities_decode(s)
	{
			var decoded = $('<div/>').html(s).text();
			return decoded;
	}
	
	function countHiddenFilesAboveSelectedFile(clickedDirPath, currentFile)
	{
		var countHidden = 0;
		
		$.each( dynamicArray[clickedDirPath], function( key, value ) {
			
			if(currentFile == value)
			{
				return false;
				
			}
			else if(value.indexOf("/.") != -1)
			{
				countHidden++;
			}
		});
		return countHidden;
	}
	
//Restrict to add/remove items to/from Backup/Restore set if Manual Backup/Restore is running
function restrictAddRemoveItems(){	
	if( machine=='twotier'){		
		if(jQuery('.body_wrap').hasClass('backup_page') && manualBackupRunning==true )
		{	
			jQuery('.common_msg').hide();
			showErrorMessages('.head_search .error_msg','Backup is in progress. Please try again later');
			return false;
		} 
		else if(jQuery('.body_wrap').hasClass('restore_page') && manualRestoreRunning==true ) 
		{	
			jQuery('.common_msg').hide();
			showErrorMessages('.head_search .error_msg','Restore is in progress. Please try again later');
			return false;
		}
	}
	return true;
}

//To Keep selected LOG items
jQuery(document).on('click', '#log_list_table td.file_check, #log_list .header_part .file_check', function(e) {
	var clickedLabel = e.target.nodeName;	
	if(clickedLabel != 'LABEL'){		
		return false;
	}
	
	if(jQuery(this).find('label').hasClass('label_checked')){		

		if(jQuery(this).find('label').html()=="All"){			
			addLogList("All");
		} else {		
			addLogList(jQuery(this));
		}
	} else {
		if(jQuery(this).find('label').html()=="All"){			
			removeLogList("All");
		} else {				
			removeLogList(jQuery(this));
		}
	}	
});


function addLogList(args){
	if(args=="All"){
		logFileList = [];
		logFileList.push("All");
	} else {
		if(logFileList.length==1 && logFileList.indexOf("All")>=0){
			logFileList = [];
		}
		selected = args.find('input').val();
		logFileList.push(selected);
	}
}

function removeLogList(args){
	if(args=="All"){
		logFileList = [];
	} else {
		if(logFileList.length==1 && logFileList.indexOf("All")>=0){
			logFileList = [];
			jQuery('#logRows input').each(function(){
				selected = jQuery(this).val();
				var index = logFileList.indexOf(selected);
				if(index>=0){
					logFileList.slice(index);
				}				
			});
		} else {	
			selected = args.find('input').val();
			var index = logFileList.indexOf(selected);
			if(index>=0){
				logFileList.slice(index);
			}
		}
	}
}


/* Function  to refresh local drive quota - Start */
jQuery("div.wrapper section#content").off('click','.refresh-btn').on('click', '.refresh-btn', function() {
	selectedLocalPath(jQuery('#selectBackupLocation').val(),0);
});	
/* Function  to refresh local drive quota - End */
/* Function  to modify selected Local Path - Start */
function selectedLocalPath(name,action){
	$('#localbkp_path').html(name).attr('title',name);
	$('#localBackupLocation').val(name);
	selectedRestoreListPath = name;	
	if(action==1){ actionRequired=2; }
		$('.refresh-btn').hide();
		$('#refreshLoader').show();
		$.ajax({
			url: "action.php?action=getUsedSize&path="+encodeURIComponent(name),		
			success: function(dataList){
				dataListRes=$.parseJSON(dataList);
				if(dataListRes[0]===true){
					$('.btm-refresh p span:eq(0)').html(dataListRes[1]);
				} else {
					$('.btm-refresh p span:eq(0)').html('0 KB');
				}
				$('.refresh-btn').css('display','inline-block');
				$('#refreshLoader').hide();				
			}
		});
}
/* Function  to modify selected Local Path - End */
/* 
 * Function  to hide/show Create new restore set link - Start 
 * & display the corresponding restore list
*/
function selectedRestorePath(name){
	if(name=='Online Account'){
		jQuery('.body_wrap .menu').removeClass('localbkp-menu');
		loadRestoreRemoteFiles('/','loadRestorePath','fullPathBreadCrumb','restoreFilePath');
		jQuery('#select_restore_job').removeAttr('disabled');
		jQuery('#select_restore_job').val(currentRestoreJob);
		loadExistingJob(currentRestoreJob,'restore');
		IDrive.Scheduler.selectSchedule(currentRestoreJob,'Restore');
		jQuery('#dropdown .file_menu_rename,.option_menu').show();
		actionRequired=1;		
	} else {
		jQuery('.body_wrap .menu').addClass('localbkp-menu');
		loadLocalRestoreFiles('/','loadRestorePath','fullPathBreadCrumb','restoreFilePath',name);		
		jQuery('#select_restore_job').val('0').attr('disabled','disabled');
		jQuery('#RestoreSchedule').hide();		
		jQuery('#dropdown .file_menu_rename,.option_menu').hide();
	}
	selectedRestoreListPath = name;
}
/* Function  to hide/show Create new restore set link - End */
(function($) {
	// Log filtering JS code
	$(document).on('change', '#log_date_selection', function(e) {
		var params = {};
		params.action	= "log_list_table";
		params.duration = (($('#log_date_selection').val() != "indefined" && $('#log_date_selection').val() != '')? $('#log_date_selection').val() : '');
		$.ajax({
			url: "action.php",
			type: "GET",
			dataType: "html",
			data: params,
			success: function(html) {
				if(html.indexOf('<html>') > 0) {
					window.location.href='../index.php';
				}
				
				$("div.wrapper section#content div#log_list_table").html(html);
				IDrive.Scheduler.UpdateLogs(IDrive.LogList);
			}
		});
	});
})(jQuery);

// Next Scheduled Event - JS
function processNextScheduledEvent()
{
	(function($) {
		$.getJSON("action.php?action=getNextScheduledTask", function(data) {
			if(typeof data == "object" && Object.keys(data).length > 0) {
				$('#nse_jobname').html( ((data.jobName.length > 20)? data.jobName.substring(0, 20) + "..." : data.jobName) );
				$('#nse_jobtime').html(data.time);
				$('#nse_real_event').val(data.jobType + '_' + data.jobName);
			}
		});
	})(jQuery);
}
//processNextScheduledEvent();
//setInterval(processNextScheduledEvent, 60000);

(function($) {
	$(document).ready(function(){
		$("#nse_main_div").on("click", function() {
			var eventNameType	= $('#nse_real_event').val();
			var nameNType		= eventNameType.split('_');

			var e 				= {};
			e.data 				= {};
			e.data.type 		= "edit backup";
			e.data.job 			= eventNameType;

			if($("#nav_log").hasClass("act") == true) {
				//$("#nav_scheduler").trigger('click');
				//setTimeout(IDrive.Scheduler.SelectJob(e), 5000);
				return false;
			}

			if($("#nav_scheduler").hasClass("act") != true) {
				$.popContainer();
				jQuery(secPosCont).append(jQuery('.qnapschedule_container').show());
				jQuery(popcont).addClass('popLeft');
			}

			IDrive.Scheduler.SelectJob(e);	
		});
	});
})(jQuery);